% preg 2, lab 9, 521230, S2-2011

x0 = [1/4;1/4]; % converge a (0.6823,(0.6823)^2)
% x0 = [0;0]; % jacobiano singular 
% x0 = [5;10]; % en 1er cuadrante, converge a (0.6823,(0.6823)^2)
% x0 = [-1;5]; % en 2do cuadrante, converge a (-1,1)
% x0 = [10;-1]; % en 4to cuadrante, converge a (0.6823,(0.6823)^2)
% x0 = [-10;-1]; % en 3er cuadrante, no alcanza precision deseada en 30 its

[sol,it] = newtonrd('func2_lab9','dfunc2_lab9',x0,1e-10,30);
if it > -1
    display('numero de iteraciones para obtener precision deseada')
    it
    display('aproximacion a cero de f')
    sol
else
    display('metodo no obtuvo precision deseada en maximo de iteraciones dado')
end